com.versionone.apiclient.interfaces

## Enum IV1Configuration.TrackingLevel

- java.lang.Object
- - java.lang.Enum<IV1Configuration.TrackingLevel>
  - - com.versionone.apiclient.interfaces.IV1Configuration.TrackingLevel

- All Implemented Interfaces:
    Serializable, Comparable<IV1Configuration.TrackingLevel>
  Enclosing interface:
    IV1Configuration

      public static enum IV1Configuration.TrackingLevel
      extends Enum<IV1Configuration.TrackingLevel>

  Enumeration of tracking levels

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Mix` Track Detail Estimate and ToDo at both the PrimaryWorkitem and the Task/Test levels
    `Off` Track Detail Estimate and ToDo at Task/Test level only
    `On` Track Detail Estimate and ToDo at PrimaryWorkitem level only

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IV1Configuration.TrackingLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IV1Configuration.TrackingLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### On

          public static final IV1Configuration.TrackingLevel On

      Track Detail Estimate and ToDo at PrimaryWorkitem level only

    - #### Off

          public static final IV1Configuration.TrackingLevel Off

      Track Detail Estimate and ToDo at Task/Test level only

    - #### Mix

          public static final IV1Configuration.TrackingLevel Mix

      Track Detail Estimate and ToDo at both the PrimaryWorkitem and the Task/Test levels

  - ### Method Detail

    - #### values

          public static IV1Configuration.TrackingLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IV1Configuration.TrackingLevel c : IV1Configuration.TrackingLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IV1Configuration.TrackingLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 VersionOne, Inc.. All rights reserved.